// store.ts
import { configureStore } from '@reduxjs/toolkit';
import { setupListeners } from '@reduxjs/toolkit/query';
import { storeContactUs } from '../services/storeContactUs';

export const store = configureStore({
  reducer: {
    [storeContactUs.reducerPath]: storeContactUs.reducer,
  },
  middleware: (getDefaultMiddleware) =>
    getDefaultMiddleware().concat(storeContactUs.middleware),
});

setupListeners(store.dispatch);

export default store;